/**
 * Frontend-only styles for EDE-style pages
 * 
 * @since 2026-02-21
 * @author Designs and Codes, LLC
 */

:where( .wc-block-components-main ) :is( div, * ) {
	margin-inline: 0;
}

:where( body.woocommerce-page ) ul > li:before,
:where( body:not( .woocommerce-checkout ) ) .wc-show-checkout,
:where( body.woocommerce-checkout.woocommerce-order-received ) .wc-show-checkout,
:where( body:not( .woocommerce-checkout.woocommerce-order-received ) ) .wc-show-order-received,
.wc-block-components-express-payment,
.wc-block-components-express-payment ~ * {
	display: none !important;
}

:has( > .wc-block-components-express-payment ) {
	display: none !important;
}

.wc-block-components-radio-control-accordion-content > * {
	margin-block: 1.5rem;
}

.woocommerce ul.order_details {
	display: flex;
	align-items: baseline;
	flex-flow: row wrap;
	gap: 1rem 2rem;
	justify-content: start;
	padding: 0;
}

.woocommerce ul.order_details:before,
.woocommerce ul.order_details:after {
	display: none !important;
}

.woocommerce ul.order_details li {
	margin: 0 !important;
}
